<template>
<main>
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-5 login-section-wrapper ppl">
          <div class="brand-wrapper">
            <center>
             <img :src="ruta + '/img/logo.png'" class="img"  width="140" height="130">
            </center>
          </div>
          <div class="login-wrapper my-auto">
            <center>
              <h1 class="login-title">Iniciar Sesión</h1>
            </center>
            <form  @submit.prevent="login">
              <div class="form-group d-flex justify-content-center">
                <div class="col-11">
                <input type="text" v-model="loginForm.cedula_usuario" name="cedula" id="cedula" class="form-control mb-3" v-on:keyup.enter="login()" placeholder="Documento de Identidad" required>
                <input type="password" v-model="loginForm.password" name="contraseña" id="password" class="form-control" placeholder="Contraseña" v-on:keyup.enter="login()" required>
                <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password" @click="changePss"></span>
                  <div style="display: flex">
                     <div style="margin-left: auto">
                         <router-link 
                           class="text-reset"
                           :to="{ name: 'enviarEmail' }"
                         >
                           Recuperar Contraseña
                         </router-link>
                     </div>
                  </div>
                  </div>
              </div>
              <div class="d-flex justify-content-center">
                <button type="submit" 
                        id="login" 
                        class="btn btn-block login-btn col-10" 
                        @click="login"
                >Ingresar
                </button>
              </div>
            </form>
            <center>
              <p class="login-wrapper-footer-text">¿No tienes cuenta?<router-link class="nav-link a" :to="'/registro'"> Registrate</router-link></p>
            </center>
          </div>
        </div>
        <div class="col-sm-7 px-0 d-none d-sm-block div-img">
          <img :src="ruta + '/img/Fondos/Pantalla principal.png'" alt="login image" class="login-img">
                      <footer class="main-footer footer">
              <h6>© Copyright 2021 | DIGIDOCS | Solumáticas GRM | Todos los derechos reservados |</h6>
            </footer>
        </div>

      </div>
    </div>

  </main>
  
</template>

<script>
export default {
  props: ['ruta'],

  data() {
    return {
      loginForm : {
        cedula_usuario: '',
        password: ''
      },
      fullscreenLoading: false,
      error: 0,
      mensajeError: []
    }
  },
  methods: {

      async login() {

          this.fullscreenLoading = true;

          const dataPost = {
              'cedula_usuario': this.loginForm.cedula_usuario,
              'password' : this.loginForm.password
          }

          try {
              if(this.loginForm.cedula_usuario == '' || this.loginForm.password == '') {
                this.$utils.showWarning('Usuario y/o contaseña incorrectos');
              } else {
                const response = await axios.post(this.ruta + '/api/login', dataPost);
                const authUser = response.data['authUser'];
  
                localStorage.setItem('usuario', authUser['nombres_usuario']);
                localStorage.setItem('rol', authUser['rol']);
                localStorage.setItem('idUsuario', authUser['id_usuario']);
  
                this.redireccionarSegunRol(authUser['rol']);
              }

          } catch (error) {

              const jsonResponse = JSON.parse(error.request.response);
              
              this.$utils.showWarning(jsonResponse['mensaje']);
          }
      },

      redireccionarSegunRol(rol) {

          switch (rol) {
              case "admin":
                  this.$router.push({ name: 'dashboard.indexAdmin' });
                  break;

              case "user":
                  this.$router.push({ name: 'dashboard.index' });
                  break;
        
              default:
                  break;
          }
      },

      changePss() {
        const password = document.querySelector('#password');
        const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
        password.setAttribute('type', type);
      }
  }
}
</script>
<style>


</style>